> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# DELETE Delete Media

> Delete a media file from WhatsApp storage.

## Delete media

`DELETE /api/whatsapp/channels/:id/media/:mediaId`

Remove a media file from WhatsApp cloud storage.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

**id** `integer` *required*

Channel ID

**mediaId** `string` *required*

WhatsApp media ID

```bash cURL theme={null}
curl -X DELETE https://zeplo.ai/api/whatsapp/channels/1/media/media_abc123 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "message": "Media deleted successfully"
}
```

## Supported media types

| Type | Max Size | Formats |
| - | - | - |
| Image | 5 MB | JPEG, PNG |
| Video | 16 MB | MP4, 3GP |
| Audio | 16 MB | AAC, AMR, MP3, OGG |
| Document | 100 MB | PDF, DOC, DOCX, XLS, XLSX, PPT, PPTX, TXT |
| Sticker | 100 KB | WebP |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.